Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030075
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Return Receiptminoralways2015-06-02 16:382015-09-07 14:58
ReporteraaroncaleroView Statuspublic 
Assigned Toaaroncalero 
PrioritynormalResolutionfixedFixed in VersionRR15Q4
StatusclosedFix in branchFixed in SCM revisionc925ea38b6f4
ProjectionnoneETAnoneTarget Versionpi
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomtaal
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030075: Return tickets should not be able to contain positive lines

DescriptionIt is posible to create a return ticket which includes positive lines, which is not correct. It is even possible to make a customer pay for a return ticket.
Steps To ReproduceCreate a ticket in Web POS.
Go to menu, Return this receipt.
Add a product. Verify that the quantity is -1.
Tap '2' on the keyboard, then '-'.
Verify that the quantity is now 1 and that after clicking on the total button the customer must pay.
Proposed SolutionShow an error if the user attempts to set a positive quantity in a line of a return ticket.
TagsNo tags attached.
Attached Filesdiff file icon issue30075.diff [^] (2,292 bytes) 2015-06-03 13:15 [Show Content]
diff file icon Test30075.diff [^] (5,243 bytes) 2015-06-04 12:49 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0030084 closedaaroncalero It is possible to skip the OBPOS_approval.deleteLine approval in several cases 
blocks feature request 0030094 closedaaroncalero Be able to configure Web POS not to delete the receipts 

-  Notes
(0080018)
hgbot (developer)
2015-09-02 12:36

Repository: erp/pmods/org.openbravo.retail.stockvalidation
Changeset: cc24fc498c31ee6d5f40274a50140a110291a76b
Author: Aaron Calero <aaron.calero <at> openbravo.com>
Date: Wed Sep 02 11:38:01 2015 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.stockvalidation/rev/cc24fc498c31ee6d5f40274a50140a110291a76b [^]

Related to issue 30075: Pass the model as a parameter to the undo function

---
M web/org.openbravo.retail.stockvalidation/js/modals.js
---
(0080064)
hgbot (developer)
2015-09-04 09:16

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: c925ea38b6f410d38ea9c4f030536859b36934fc
Author: Aaron Calero <aaron.calero <at> openbravo.com>
Date: Tue Sep 01 16:31:16 2015 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c925ea38b6f410d38ea9c4f030536859b36934fc [^]

Fixed issue 30075: Return tickets should not be able to contain positive lines

Added a check before the product is added to the ticket

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0080066)
hgbot (developer)
2015-09-04 09:16

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5a89f5cd698642c6d02f760e1f522387126ed628
Author: Aaron Calero <aaron.calero <at> openbravo.com>
Date: Wed Sep 02 11:36:58 2015 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5a89f5cd698642c6d02f760e1f522387126ed628 [^]

Related to issue 30075: Add a parameter to the undo function of createLine

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0080068)
aaroncalero (developer)
2015-09-04 09:27

Commit 5a89f5cd69864 should have been related to issue 30084, not 30075.
(0080091)
hgbot (developer)
2015-09-04 11:21

Repository: tools/automation/pi-mobile
Changeset: 618f33adc0de42dd64771d1cf4ef69e343dc4cd5
Author: Rafa Alonso <ral <at> openbravo.com>
Date: Fri Sep 04 11:21:13 2015 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/618f33adc0de42dd64771d1cf4ef69e343dc4cd5 [^]

Related to issue 30075: Verify that, when a test is finished, there are no pending actions to be done by the terminal or the server

- better WebSQL query algorithm

---
M src-test/org/openbravo/test/mobile/common/selenium/javascript/TestId.java
M src-test/org/openbravo/test/mobile/common/selenium/utils/AllowedErrorsHelper.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/returns/I30075_NoPositiveLinesInReturnTickets.java
---
(0080153)
hgbot (developer)
2015-09-05 19:54

Repository: tools/automation/pi-mobile
Changeset: b1dd643ed6cf608e43dec8b374a540b2873d1b62
Author: Rafa Alonso <ral <at> openbravo.com>
Date: Sat Sep 05 16:39:45 2015 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/b1dd643ed6cf608e43dec8b374a540b2873d1b62 [^]

Related to issue 30075: Fixed the 'I30075_NoPositiveLinesInReturnTickets' test

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/returns/I30075_NoPositiveLinesInReturnTickets.java
---
(0080161)
hgbot (developer)
2015-09-07 00:13

Repository: tools/automation/pi-mobile
Changeset: c4b0d4df6a52be52f468d8eabf3f60285bccd1b0
Author: Rafa Alonso <ral <at> openbravo.com>
Date: Sun Sep 06 22:26:14 2015 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/c4b0d4df6a52be52f468d8eabf3f60285bccd1b0 [^]

Related to issue 30075: Removed unnecessary testId

---
M src-test/org/openbravo/test/mobile/common/selenium/javascript/TestId.java
---
(0080200)
mtaal (manager)
2015-09-07 14:58

reviewed

- Issue History
Date Modified Username Field Change
2015-06-02 16:38 aaroncalero New Issue
2015-06-02 16:38 aaroncalero Assigned To => aaroncalero
2015-06-02 16:38 aaroncalero Triggers an Emergency Pack => No
2015-06-03 13:15 aaroncalero File Added: TestI30075.diff
2015-06-03 13:15 aaroncalero File Added: issue30075.diff
2015-06-03 17:11 aaroncalero Relationship added blocks 0030084
2015-06-04 12:49 aaroncalero File Deleted: TestI30075.diff
2015-06-04 12:49 aaroncalero File Added: Test30075.diff
2015-06-04 13:44 aaroncalero Relationship added blocks 0030094
2015-06-11 14:08 eintelau Issue Monitored: eintelau
2015-09-02 12:36 hgbot Checkin
2015-09-02 12:36 hgbot Note Added: 0080018
2015-09-04 09:16 hgbot Checkin
2015-09-04 09:16 hgbot Note Added: 0080064
2015-09-04 09:16 hgbot Status new => resolved
2015-09-04 09:16 hgbot Resolution open => fixed
2015-09-04 09:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c925ea38b6f410d38ea9c4f030536859b36934fc [^]
2015-09-04 09:16 hgbot Checkin
2015-09-04 09:16 hgbot Note Added: 0080066
2015-09-04 09:27 aaroncalero Note Added: 0080068
2015-09-04 09:29 aaroncalero Review Assigned To => marvintm
2015-09-04 11:21 hgbot Checkin
2015-09-04 11:21 hgbot Note Added: 0080091
2015-09-05 19:54 hgbot Checkin
2015-09-05 19:54 hgbot Note Added: 0080153
2015-09-07 00:13 hgbot Checkin
2015-09-07 00:13 hgbot Note Added: 0080161
2015-09-07 14:58 mtaal Review Assigned To marvintm => mtaal
2015-09-07 14:58 mtaal Note Added: 0080200
2015-09-07 14:58 mtaal Status resolved => closed
2015-09-07 14:58 mtaal Fixed in Version => RR15Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker